# 7. Mutation: Generate "ZonesMap"

Generate "ZonesMap" for the "Field".

{% hint style="info" %}
Execution time is different (from 4sec till 5mins), it depends on the number of images and field area to process, and the Subscription will be received after the successful generation of "ZonesMap".
{% endhint %}

{% hint style="danger" %}
We recommend using an **asynchronous** approach to generate ZonesMaps
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GenerateZonesMap {
  generateVectorAnalysisMap(input: {
    fieldUuid: "<placeholder_of_field_uuid>"
    satelliteImageUuids: [
      "<placeholder_of_satelliteimage_uuid_1>",
      "<placeholder_of_satelliteimage_uuid_2>"
    ]
    numberOfZones: 6
    index: EVI2
  }) {
    uuid
    fieldUuid
    name
    type
    geoMaps {
      url
      classes
      hexColorCodes
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/api-docs/geopard-api-requests-overview/7.-mutation-generate-zonesmap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
